package com.taover.easyexcel.analysis.v03.handlers;

import org.apache.poi.hssf.record.RKRecord;
import org.apache.poi.hssf.record.Record;

import com.taover.easyexcel.analysis.v03.IgnorableXlsRecordHandler;
import com.taover.easyexcel.context.xls.XlsReadContext;
import com.taover.easyexcel.metadata.CellData;

/**
 * Record handler
 *
 * @author Dan Zheng
 */
public class RkRecordHandler extends AbstractXlsRecordHandler implements IgnorableXlsRecordHandler {

    @Override
    public void processRecord(XlsReadContext xlsReadContext, Record record) {
        RKRecord re = (RKRecord)record;
        xlsReadContext.xlsReadSheetHolder().getCellMap().put((int)re.getColumn(),
            CellData.newEmptyInstance(re.getRow(), (int)re.getColumn()));
    }
}
