package com.taover.easyexcel.context.xlsx;

import com.taover.easyexcel.context.AnalysisContextImpl;
import com.taover.easyexcel.read.metadata.ReadWorkbook;
import com.taover.easyexcel.read.metadata.holder.xlsx.XlsxReadSheetHolder;
import com.taover.easyexcel.read.metadata.holder.xlsx.XlsxReadWorkbookHolder;
import com.taover.easyexcel.support.ExcelTypeEnum;

/**
 *
 * A context is the main anchorage point of a ls xls reader.
 *
 * @author Jiaju Zhuang
 */
public class DefaultXlsxReadContext extends AnalysisContextImpl implements XlsxReadContext {

    public DefaultXlsxReadContext(ReadWorkbook readWorkbook, ExcelTypeEnum actualExcelType) {
        super(readWorkbook, actualExcelType);
    }

    @Override
    public XlsxReadWorkbookHolder xlsxReadWorkbookHolder() {
        return (XlsxReadWorkbookHolder)readWorkbookHolder();
    }

    @Override
    public XlsxReadSheetHolder xlsxReadSheetHolder() {
        return (XlsxReadSheetHolder)readSheetHolder();
    }
}
